"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestsToBatch = void 0;
const utils_1 = require("./utils");
const requestsToBatch = function (data, boundary, { contentType, accept }) {
    const changeSetNum = Math.random() * 100;
    const aBatchByResponse = data.map(function (val) {
        return [
            '--changeset_' + changeSetNum,
            'Content-Type: application/http',
            'Content-Transfer-Encoding: binary',
            '',
            val.method.toUpperCase() + ' ' + val.url + ' HTTP/1.1',
            `Content-Type: ${contentType}`,
            `Accept: ${accept}`,
            '',
            contentType === 'application/xml' ? val.data : JSON.stringify(val.data),
            '',
        ];
    });
    return utils_1.flatten([
        '--batch_' + boundary,
        'Content-Type: multipart/mixed; boundary=changeset_' + changeSetNum,
        '',
        utils_1.flatten(aBatchByResponse),
        '--changeset_' + changeSetNum + '--',
        '--batch_' + boundary + '--'
    ])
        .join('\r\n');
};
exports.requestsToBatch = requestsToBatch;
//# sourceMappingURL=request.js.map